Announcement

#1 2016-10-24 10:19:17

developer
Member
Honolulu, HI (United States)
2010-06-19
79

How to disable upgrade push?

Hi guys,

I have older version of Piwigo 2.1.0 and I can't get to my admin panel because it pushes page to upgrade.php
How do I disable this request?

I tried to disable it in include/common.inc.php

if (!$conf['check_upgrade_feed'])
{
  if (!isset($conf['piwigo_db_version']) or $conf['piwigo_db_version'] != get_branch_from_version(PHPWG_VERSION))
  {
    redirect(get_root_url().'upgrade.php');
  }
}

but it shows many errors after it.

The second issue is that I tried to reset the password via phpmyadmin and setting it manually
1) set pass 2) select md5 3) hit save - result > "Invalid password!" message.

I read other topics, but didn't find solution.
Thank you in advance for your help.

Last edited by developer (2016-10-24 11:15:58)


400+ Magento Themes, each Magento template includes PSD file. See our gallery!

Offline

 

#2 2016-10-24 13:57:41

flop25
Piwigo Team
2006-07-06
6900

Re: How to disable upgrade push?

Hello

developer wrote:

I can't get to my admin panel because it pushes page to upgrade.php

it means that you actually did an update so the database has to be upgrade to the version corresponding to the one of files


To get a better help : Politeness like Hello-A link-Your past actions precisely described
Check my extensions : more than 30 available
who I am and what I do : http://fr.gravatar.com/flop25
My gallery : an illustration of how to integrate Piwigo in your website

Offline

 

#3 2016-10-24 14:00:33

developer
Member
Honolulu, HI (United States)
2010-06-19
79

Re: How to disable upgrade push?

hm... if so, then script wouldn't push me to update.php over and over again.
Is there a way to turn it off?


400+ Magento Themes, each Magento template includes PSD file. See our gallery!

Offline

 

#4 2016-10-24 14:02:18

developer
Member
Honolulu, HI (United States)
2010-06-19
79

Re: How to disable upgrade push?

flop25 wrote:

Hello
it means that you actually did an update so the database has to be upgrade to the version corresponding to the one of files

I definitely (100%) didn't do any update to the files.


400+ Magento Themes, each Magento template includes PSD file. See our gallery!

Offline

 

#5 2016-10-24 14:05:24

flop25
Piwigo Team
2006-07-06
6900

Re: How to disable upgrade push?

well I don't know you did or did not
And since we are only fixing security flaws in the branches 2.5 2.6 2.7 and 2.8, I will only help you to update in one of these branches


To get a better help : Politeness like Hello-A link-Your past actions precisely described
Check my extensions : more than 30 available
who I am and what I do : http://fr.gravatar.com/flop25
My gallery : an illustration of how to integrate Piwigo in your website

Offline

 

#6 2016-10-24 14:06:14

developer
Member
Honolulu, HI (United States)
2010-06-19
79

Re: How to disable upgrade push?

any way to turn off this script that pushing the update.php?


400+ Magento Themes, each Magento template includes PSD file. See our gallery!

Offline

 

#7 2016-10-24 14:08:38

flop25
Piwigo Team
2006-07-06
6900

Re: How to disable upgrade push?

you already did it and experienced the consequences of having version(db)!=version(files)


To get a better help : Politeness like Hello-A link-Your past actions precisely described
Check my extensions : more than 30 available
who I am and what I do : http://fr.gravatar.com/flop25
My gallery : an illustration of how to integrate Piwigo in your website

Offline

 

#8 2016-10-24 14:32:53

developer
Member
Honolulu, HI (United States)
2010-06-19
79

Re: How to disable upgrade push?

replied via gmail/email.


400+ Magento Themes, each Magento template includes PSD file. See our gallery!

Offline

 

#9 2016-10-24 22:02:30

flop25
Piwigo Team
2006-07-06
6900

Re: How to disable upgrade push?

sorry I'm back
To see if that's doable could you first tell us what are the plugins and themes you are using ; you can still see them in /plugins/ but you probably didn't enabled all.
What was the problem which kept you in that so old version if you can remember? an incompatible extension? That's what I'm the most afraid of (because I may can't do much about)


To get a better help : Politeness like Hello-A link-Your past actions precisely described
Check my extensions : more than 30 available
who I am and what I do : http://fr.gravatar.com/flop25
My gallery : an illustration of how to integrate Piwigo in your website

Offline

 

Board footer

Powered by FluxBB

github twitter facebook google+ newsletter Donate Piwigo.org © 2002-2019 · Contact